/*
Пример использования
Получение списка zone
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_zone_list" "zone_list" {
  #фильтрация списка для получения информации о конкретном zone по его id
  #опциональный параметр
  #тип - целое число
  #by_id = 1

  #фильтрация списка для получения информации о zone, которые принадлежат к определенному GRID
  #опциональный параметр
  #тип - целое число
  #gid = 1

  #фильтрация списка для получения информации о конкретном zone по его имени
  #опциональный параметр
  #тип - строка
  #name = "alpha-cpu-04"

  #фильтрация списка для получения информации о конкретном zone по его описанию
  #опциональный параметр
  #тип - строка
  #description = "some"

  #фильтрация списка для получения информации о zone, которые имеют соответствующий статус
  #опциональный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтрация списка для получения информации о zone, которые удалены
  #опциональный параметр
  #тип - булев
  #deletable = false

  #фильтрация списка для получения информации о zone с конкретными nodeId
  #опциональный параметр
  #тип - целое число
  #node_id = 1

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #если не задан - выводятся все доступные данные
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #если не задан - выводятся все доступные данные
  #size = 3
}

output "test" {
  value = data.decort_cb_zone_list.zone_list
}

